> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/Addresses ## OpenAPI ````json GET /v26.4/Addresses { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/Addresses": { "get": { "tags": [ "Addresses" ], "parameters": [ { "name": "CustomerId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExternalCode", "in": "query", "schema": { "type": "string" } }, { "name": "AddressType", "in": "query", "schema": { "$ref": "#/components/schemas/AddressType2" } }, { "name": "CancelledOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "DefaultDeliveryAddressOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "Street", "in": "query", "schema": { "type": "string" } }, { "name": "AddressDescription", "in": "query", "schema": { "type": "string" } }, { "name": "ZipCode", "in": "query", "schema": { "type": "string" } }, { "name": "NumberPart1", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "NumberPart2", "in": "query", "schema": { "type": "string" } }, { "name": "City", "in": "query", "schema": { "type": "string" } }, { "name": "CountryId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "AttentionOf", "in": "query", "schema": { "type": "string" } }, { "name": "NumbertPart1Specified", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "NumbertPart2Specified", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "AddressDescriptionFieldSpecified", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "AttentionOfFieldSpecified", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "Offset", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "RecordCount", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewAddressDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewAddressDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewAddressDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "AddressType2": { "enum": [ "NotSpecified", "DefaultAddress", "AlternatePostalAddress", "AlternateInvoiceAddress", "AlternateDeliveryAddress" ], "type": "string" }, "BooleanFilter": { "enum": [ "All", "Yes", "No" ], "type": "string" }, "ViewAddressDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "organizationId": { "type": "integer", "format": "int32", "nullable": true }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "customerId": { "type": "integer", "format": "int32", "nullable": true }, "externalCode": { "type": "string", "nullable": true }, "cancelled": { "type": "boolean", "default": false }, "addressType": { "$ref": "#/components/schemas/AddressType2" }, "defaultDeliveryAddress": { "type": "boolean", "default": false }, "street": { "type": "string", "nullable": true }, "numberPart1": { "type": "integer", "format": "int32", "nullable": true }, "numberPart2": { "type": "string", "nullable": true }, "address": { "type": "string", "nullable": true }, "addressDescription": { "type": "string", "nullable": true }, "zipCode": { "type": "string", "nullable": true }, "city": { "type": "string", "nullable": true }, "county": { "type": "string", "nullable": true }, "countryId": { "type": "integer", "format": "int32", "nullable": true }, "attentionOf": { "type": "string", "nullable": true }, "countryDescription": { "type": "string", "nullable": true }, "countryIsoCode": { "type": "string", "nullable": true }, "countryIsoDescription": { "type": "string", "nullable": true }, "eu": { "type": "boolean", "default": false } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````